$backgroundColor: #fdfdfd;
$textColor: #3d3d3d;

@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@300;400&display=swap');

body {
  background: url('assets/paper.jpg');
  background-size: auto;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

button:not(:disabled), input, .allowAlter {
  cursor: pointer;
}

button:not(.mx-btn), input:not([type="radio"]), select, .allowAlter {
  background-color: $backgroundColor;
  border: 1px solid #CCCCCC;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
  transition: border 0.2s linear 0s, box-shadow 0.2s linear 0s;
  border-radius: 4px;
  color: $textColor;
  display: block;
  font-family: 'Roboto', sans-serif;
  font-weight: 400;
  outline: none;
  box-sizing: border-box;
  text-align: center;

  &:disabled {
    background-color: #eeeeee;
    color: #8f8f8f;
  }

  &:hover:not(:disabled) {
    border-color: rgba(82, 168, 236, 0.8);
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset, 0 0 8px rgba(82, 168, 236, 0.6);
    outline: 0 none;
  }
}

.fade-enter-active,
.fade-leave-active {
  transition: opacity 0.5s ease;
}

.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}

.main-input-area {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  margin-top: 40px;

  .todayButton {
    margin: 10px 0 10px 10px;
    width: 100px;
    font-size: 14px;
    height: 34px;
    padding: 4px 6px;
  }

  .todayInput {
    width: 100%;
    height: 34px;
    font-size: 14px;
  }
}

.alterButtons {
  display: flex;
  flex-wrap: wrap;
  max-width: 322px;
  margin: 0 auto;
  justify-content: center;
  gap: 4px;

  .alteredDropButton, .settingsButton, .changeVkID {
    height: 20px;
    font-size: 10px;
    padding: 0 4px;
    flex-basis: calc(50% - 8px);
  }

  .allowAlter {
    height: 20px;
    font-size: 10px;
    align-items: center;
    padding-right: 4px;
    vertical-align: center;
    display: flex;

    input {
      width: 10px;
      height: 10px;

      &:hover {
        box-shadow: none;
      }
    }
  }
}

.authInputWrapper {
  display: flex;
  justify-content: center;

  .authButtonClose, .authInput {
    height: 20px;
    font-size: 10px;
  }
}

.authButton {
  font-size: 10px;
  margin: 0 auto;
  height: 20px;
}

.calendar-area {
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: 10px 0 5px 0;

  .modal-wrapper {
    position: absolute;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(143, 143, 143, 0.5);

    .modal {
      margin: 100px auto;
      width: 260px;
      height: 130px;
      background: #ffffff;
      border: 3px solid #000000;
      border-radius: 5px;
      padding: 20px;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: space-between;

      .modal-radio {
        label {
          font-size: 17px;
        }

        >div {
          margin-bottom: 10px;
        }
      }
      .modal-inputs {
        display: flex;
        flex-direction: column;
        align-items: center;
      }

      .modal-fields input {
        width: 50px;
        display: inline-block;
        cursor: text;
      }

      .modal-submit {
        bottom: 20px;
        width: 115px;
        height: 30px;
        font-size: 16px;
      }
    }

    &.hidden {
      display: none;
    }
  }

  .calendar {
    background: $backgroundColor;
    border: 2px solid #484848;
    box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
    display: flex;
    flex-wrap: wrap;
    width: 308px;
    height: 308px;
    padding: 5px;
    border-radius: 5px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;

    .today-cell {
      border: 2px solid #ffb917 !important;
    }

    .calendar-cell {
      border: black 2px solid;
      display: flex;
      flex-direction: column;
      align-items: center;
      justify-content: center;
      width: 30px;
      height: 30px;
      margin: 5px;
      cursor: default;

      .time-of-work {
        font-size: 10px;
        color: #ffffff;
      }
    }

    .hidden-calendar-cell {
      border: black 2px solid;
      width: 30px;
      height: 30px;
      margin: 5px;
      opacity: 0;
    }

    .loading {
      width: 100%;
      height: 65%;
      position: relative;
      margin: auto;
    }
  }

  .working-cell {
    background: red;
  }

  .not-working-cell {
    background: greenyellow;
  }

  .working-altered {
    background: linear-gradient(135deg, greenyellow 85%, red 15%);
  }

  .not-working-altered {
    background: linear-gradient(135deg, red 85%, greenyellow 15%);
  }

  .half-altered {
    background: linear-gradient(135deg, red 85%, #1c3aff 15%);
  }

  .days {
    display: flex;
    width: 308px;
    padding: 0 5px;
    font-family: 'Roboto', sans-serif;
    font-weight: 400;

    div {
      display: flex;
      align-items: center;
      justify-content: center;
      width: 30px;
      margin: 0 7px;
    }
  }
}
